#!/bin/bash

USER=$(whoami)
PIDFILE=/tmp/traductor.pid
EXEC=$(which python)

DEBIANSYSTEM=$(cat /etc/issue | grep Debian)

if [[ "x$DEBIANSYSTEM" == "x" ]]; then
	DIR=$(pip show traductor | grep Location | cut -d' ' -f2)
	if [[ "x$DIR" == "x" ]]; then
		DIR=$(python-pip show traductor | grep Location | cut -d' ' -f2)
	fi
else
        # workarround para debian
        DIR=/usr/local/lib/python2.7/dist-packages
fi

if [[ "x$DIR" == "x" ]]; then
	echo "You must install traductor through pip"
	exit 0
fi

# $2 puede valer --debug o -d
INSTALLDIR=$DIR/traductor
ARGS=$INSTALLDIR/traductor.py

case "$1" in
  start)
    echo "Starting server"
    /sbin/start-stop-daemon --start --pidfile $PIDFILE \
        --user $USER --group $USER \
        -b --make-pidfile \
        --chuid $USER \
        --exec $EXEC $ARGS
    ;;
  stop)
    echo "Stopping server"
    /sbin/start-stop-daemon --stop --pidfile $PIDFILE --verbose
    ;;
  *)
    echo "Usage: /etc/init.d/traductor {start|stop}"
    exit 1
    ;;
esac

exit 0
